Net::DBus::Service(3)

NAME
Net::DBus::Service - Provide a service to the bus for clients to use

SYNOPSIS
  package main;

  use Net::DBus;

  # Attach to the bus
  my $bus = Net::DBus->find;

  # Acquire a service 'org.demo.Hello'
  my $service = $bus->export_service("org.demo.Hello");

  # Export our object within the service
  my $object = Demo::HelloWorld->new($service);

  ....rest of program...

DESCRIPTION
This module represents a service which is exported to the message bus. Once a service has been exported, it is possible to create and export objects to the bus.

METHODS

my $service = Net::DBus::Service->new($bus, $name);
    Create a new service, attaching to the bus provided in the $bus parameter, which should be an instance of the Net::DBus object. The $name parameter is the qualified service name. It is not usually neccessary to use this constructor, since services can be created via the "export_service" method on the Net::DBus object.

my $bus = $service->get_bus;
    Retrieves the Net::DBus object to which this service is attached.

my $name = $service->get_service_name
    Retrieves the qualified name by which this service is known on the bus.

AUTHOR
Daniel P. Berrange

COPYRIGHT
Copyright (C) 2005-2011 Daniel P. Berrange

SEE ALSO
Net::DBus, Net::DBus::Object, Net::DBus::RemoteService